# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

DESCRIPTION="Drupal-centric shell. Simplifies Drupal installation/management"
HOMEPAGE="http://drupal.org/project/drush"
SRC_URI="http://ftp.drupal.org/files/projects/${PN}-6.x-${PV}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""

DEPEND="dev-lang/php[cli,pcre,simplexml]
	dev-php/PEAR-Console_Table"
RDEPEND="${DEPEND}"

S=${WORKDIR}/${PN}

src_install() {
	insinto /usr/share/drush
	exeinto /usr/share/drush

	dodoc README.txt || die

	doins -r includes commands drush.php drush.api.php || die

	doexe drush || die

	dosym /usr/share/drush/drush /usr/bin/drush || die
}
